package com.gree.mall.contest.logic.websit;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.contest.plus.entity.AdminWebsit;
import com.gree.mall.contest.plus.service.AdminWebsitService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;

@Service
@Slf4j
@RequiredArgsConstructor
public class WebsitLogic {

    private final AdminWebsitService adminWebsitService;

    public IPage<AdminWebsit> list(HttpServletRequest request, Integer pageNo, Integer pageSize) {
        return adminWebsitService.lambdaQuery()
                .page(new Page<>(pageNo, pageSize));
    }
}
